Subject: [atoca] Discovering Alert Servers in draft-barnes-atoca-meta-01

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 27 Jan 2012 13:23:55 -0500

Richard proposes to essentially duplicate LIS discovery as the way to discover a local alert server.  In notes, he suggests that other mechanisms might be used, specifically, LoST, with a new Service URN.

I would like to argue that using LoST is preferable.

First I want to note that -meta asks the client to send it's location, and uses a REFER mechanism to handle out of area requests to the alert server.  This means that alert servers have to be set up in some way to learn about other servers so appropriate referrals can be made.  This duplicates the "forest guide" mechanism in LoST.

I am particularly interested in the "send me alerts where my daughter is" problem.  With the mechanism as defined, I would discover my local alert server, send it a registration with my daughter's location, and have it send me a REFER in the case where my daughter is not in the same area area served by my local sever.

With LoST, I would query LoST with a new service URN, and include either my own location or my daughters, to discover the alert server I should send my registration to.

I think it makes more sense to just re-use LoST than create a new array of servers with the connections between them to handle out of area registrations.

Also, I note that -meta and all the associated drafts uses terminology inconsistent with our requirements, framework and terminology document.  We should decide how to name the entities and be consistent.

Brian